AWS
probe ASG

# wait_desired_not_equals_healthy_tags

Wait until the desired number doesn't match the number of healthy instances for each of the auto-scaling groups matching tags provided

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | wait_desired_not_equals_healthy_tags
Return | integer

Returns: Integer (number of seconds it took to wait) or `sys.maxsize` in case of timeout

Usage

JSON

    {
      "name": "wait-desired-not-equals-healthy-tags",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "wait_desired_not_equals_healthy_tags",
        "arguments": {
          "tags": []
        }
      }
    }

YAML

    name: wait-desired-not-equals-healthy-tags
    provider:
      arguments:
        tags: []
      func: wait_desired_not_equals_healthy_tags
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names
timeout | float | 300 | No | Timeout | Timeout in seconds for the operation

`tags` are expected as:

    [{
        'Key': 'KeyName',
        'Value': 'KeyValue'
    },
    ...
    ]

Signature

    def wait_desired_not_equals_healthy_tags(
            tags: List[Dict[str, str]],
            timeout: Union[int, float] = 300,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- AWS
  action ASG

  ## `suspend_processes`

  Suspends 1 or more processes on a list of auto-scaling groups
- AWS
  probe ASG

  ## `instance_count_by_health`

  Reports the number of instances currently in the ASG by their health status
- AWS
  action ASG

  ## `stop_random_instances`

  Terminates one or more random healthy instances associated with an ALB